pidgin: _PurpleCertificatePool Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
_PurpleCertificatePool Struct Reference

Database for retrieval or storage of Certificates. More...

`#include <certificate.h>`

## Data Fields
gchar * | scheme_name
| Scheme this Pool operates for.
gchar * | name
| Internal name to refer to the pool by.
gchar * | fullname
| User-friendly name for this type ex: N_("SSL Servers") When this is displayed anywhere, it should be i18ned ex: _(pool->fullname)
gpointer | data
| Internal pool data.
gboolean(* | init )(void)
| Set up the Pool's internal state.
void(* | uninit )(void)
| Uninit the Pool's internal state.
gboolean(* | cert_in_pool )(const gchar *id)
| Check for presence of a certificate in the pool using unique ID.
PurpleCertificate *(* | get_cert )(const gchar *id)
| Retrieve a PurpleCertificate from the pool.
gboolean(* | put_cert )(const gchar *id, PurpleCertificate *crt)
| Add a certificate to the pool.
gboolean(* | delete_cert )(const gchar *id)
| Delete a certificate from the pool.
GList *(* | get_idlist )(void)
| Returns a list of IDs stored in the pool.
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)
void(* | _purple_reserved4 )(void)

## Detailed Description

Database for retrieval or storage of Certificates.

More or less a hash table; all lookups and writes are controlled by a string key.

Definition at line 128 of file certificate.h.

## Field Documentation

## ◆ _purple_reserved1

void(* _PurpleCertificatePool::_purple_reserved1) (void)

Definition at line 176 of file certificate.h.

## ◆ _purple_reserved2

void(* _PurpleCertificatePool::_purple_reserved2) (void)

Definition at line 177 of file certificate.h.

## ◆ _purple_reserved3

void(* _PurpleCertificatePool::_purple_reserved3) (void)

Definition at line 178 of file certificate.h.

## ◆ _purple_reserved4

void(* _PurpleCertificatePool::_purple_reserved4) (void)

Definition at line 179 of file certificate.h.

## ◆ cert_in_pool

gboolean(* _PurpleCertificatePool::cert_in_pool) (const gchar *id)

Check for presence of a certificate in the pool using unique ID.

Definition at line 162 of file certificate.h.

## ◆ data

gpointer _PurpleCertificatePool::data

Internal pool data.

Definition at line 143 of file certificate.h.

## ◆ delete_cert

gboolean(* _PurpleCertificatePool::delete_cert) (const gchar *id)

Delete a certificate from the pool.

Definition at line 171 of file certificate.h.

## ◆ fullname

gchar* _PurpleCertificatePool::fullname

User-friendly name for this type ex: N_("SSL Servers") When this is displayed anywhere, it should be i18ned ex: _(pool->fullname)

Definition at line 140 of file certificate.h.

## ◆ get_cert

PurpleCertificate *(* _PurpleCertificatePool::get_cert) (const gchar *id)

Retrieve a PurpleCertificate from the pool.

Definition at line 164 of file certificate.h.

## ◆ get_idlist

GList *(* _PurpleCertificatePool::get_idlist) (void)

Returns a list of IDs stored in the pool.

Definition at line 174 of file certificate.h.

## ◆ init

gboolean(* _PurpleCertificatePool::init) (void)

Set up the Pool's internal state.

Upon calling purple_certificate_register_pool() , this function will be called. May be NULL.

Returns
  TRUE if the initialization succeeded, otherwise FALSE

Definition at line 152 of file certificate.h.

## ◆ name

gchar* _PurpleCertificatePool::name

Internal name to refer to the pool by.

Definition at line 133 of file certificate.h.

## ◆ put_cert

gboolean(* _PurpleCertificatePool::put_cert) (const gchar *id, PurpleCertificate *crt)

Add a certificate to the pool.

Must overwrite any other certificates sharing the same ID in the pool.

Returns
  TRUE if the operation succeeded, otherwise FALSE

Definition at line 169 of file certificate.h.

## ◆ scheme_name

gchar* _PurpleCertificatePool::scheme_name

Scheme this Pool operates for.

Definition at line 131 of file certificate.h.

## ◆ uninit

void(* _PurpleCertificatePool::uninit) (void)

Uninit the Pool's internal state.

Will be called by purple_certificate_unregister_pool() . May be NULL

Definition at line 159 of file certificate.h.

The documentation for this struct was generated from the following file:

- certificate.h